Package com.xmlmind.domutil

## Class DOMUtil

- java.lang.Object
- - com.xmlmind.domutil.DOMUtil

-     public final class DOMUtil
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DOMUtil.CopyUserData` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DOMUtil.CopyUserData` | `COPY_USER_DATA` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Element` | `findElementByAttribute​(Element element, String namespace, String localName, String value)` |
    `static Element` | `findElementById​(Element element, String id)` |
    `static Element` | `findElementByName​(Node node, String namespace, String localName)` |
    `static String` | `getAttribute​(Element element, String namespace, String localName)` |
    `static URL` | `getBaseURL​(Node tree)` |
    `static boolean` | `getBooleanAttribute​(Element element, String namespace, String localName, boolean fallback)` |
    `static Element` | `getChildElementByName​(Node node, String namespace, String localName)` |
    `static URL` | `getDocumentURL​(Document doc)` |
    `static DOMImplementation` | `getDOMImplementation()` |
    `static String` | `getNamespaceURI​(QName name)` |
    `static String` | `getNonEmptyAttribute​(Element element, String namespace, String localName)` |
    `static Element` | `getNthChildElement​(Node node, int index)` |
    `static Element` | `getParentElement​(Node node)` |
    `static String` | `getQName​(QName name)` |
    `static QName` | `getQNameAttribute​(Element element, String namespace, String localName, QName fallback)` |
    `static String` | `getXMLLang​(Element element)` |
    `static boolean` | `hasName​(Node node, String namespace, String localName)` |
    `static boolean` | `hasName​(Node node, QName name)` |
    `static String` | `lookupXMLLang​(Element element)` |
    `static Document` | `newDocument()` |
    `static Document` | `newDocument​(String namespaceURI, String qualifiedName, DocumentType docType)` |
    `static String[]` | `parseName​(String name)` |
    `static void` | `removeUserData​(Node node, String key)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COPY_USER_DATA

          public static final DOMUtil.CopyUserData COPY_USER_DATA

  - ### Method Detail

    - #### newDocument

          public static Document newDocument()

    - #### newDocument

          public static Document newDocument​(String namespaceURI,
                                             String qualifiedName,
                                             DocumentType docType)

    - #### getDOMImplementation

          public static DOMImplementation getDOMImplementation()

    - #### removeUserData

          public static void removeUserData​(Node node,
                                            String key)

    - #### hasName

          public static boolean hasName​(Node node,
                                        QName name)

    - #### getNamespaceURI

          public static String getNamespaceURI​(QName name)

    - #### getQName

          public static String getQName​(QName name)

    - #### hasName

          public static boolean hasName​(Node node,
                                        String namespace,
                                        String localName)

    - #### parseName

          public static String[] parseName​(String name)

    - #### getNonEmptyAttribute

          public static String getNonEmptyAttribute​(Element element,
                                                    String namespace,
                                                    String localName)

    - #### getQNameAttribute

          public static QName getQNameAttribute​(Element element,
                                                String namespace,
                                                String localName,
                                                QName fallback)

    - #### getBooleanAttribute

          public static boolean getBooleanAttribute​(Element element,
                                                    String namespace,
                                                    String localName,
                                                    boolean fallback)

    - #### getXMLLang

          public static String getXMLLang​(Element element)

    - #### getAttribute

          public static String getAttribute​(Element element,
                                            String namespace,
                                            String localName)

    - #### lookupXMLLang

          public static String lookupXMLLang​(Element element)

    - #### getParentElement

          public static Element getParentElement​(Node node)

    - #### getBaseURL

          public static URL getBaseURL​(Node tree)

    - #### getDocumentURL

          public static URL getDocumentURL​(Document doc)

    - #### findElementByName

          public static Element findElementByName​(Node node,
                                                  String namespace,
                                                  String localName)

    - #### getChildElementByName

          public static Element getChildElementByName​(Node node,
                                                      String namespace,
                                                      String localName)

    - #### findElementById

          public static Element findElementById​(Element element,
                                                String id)

    - #### findElementByAttribute

          public static Element findElementByAttribute​(Element element,
                                                       String namespace,
                                                       String localName,
                                                       String value)

    - #### getNthChildElement

          public static Element getNthChildElement​(Node node,
                                                   int index)